Create a Bucket
curl --request POST \
--url https://api.cloud.onidel.com/object-storage/{service_id}/buckets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket_name": "my-bucket",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"versioning": false,
"object_lock": false
}
'import requests
url = "https://api.cloud.onidel.com/object-storage/{service_id}/buckets"
payload = {
"bucket_name": "my-bucket",
"team_id": "96616865-475e-4191-aba5-f89f0a4b71fe",
"versioning": False,
"object_lock": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bucket_name: 'my-bucket',
team_id: '96616865-475e-4191-aba5-f89f0a4b71fe',
versioning: false,
object_lock: false
})
};
fetch('https://api.cloud.onidel.com/object-storage/{service_id}/buckets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"keys": [
{
"access_key": "<string>",
"secret_key": "<string>"
}
]
}Object Storage
Create a Bucket
Create a new bucket in the object storage service
POST
/
object-storage
/
{service_id}
/
buckets
Create a Bucket
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Object storage service UUID
Body
application/json
Name of the bucket to create
Example:
"my-bucket"
Team ID. Default team will be used if not provided.
Example:
"96616865-475e-4191-aba5-f89f0a4b71fe"
Enable versioning on the bucket
Enable object lock on the bucket
Response
Bucket created successfully
Access keys for the newly created bucket
Show child attributes
Show child attributes
⌘I